Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Class DomainPollHandler

    java.lang.Object
      com.verisign.epp.serverstub.DomainPollHandler

All Implemented Interfaces:
  EPPPollHandler

    public class DomainPollHandler

extends java.lang.Object
implements EPPPollHandler

The `DomainPollHandler` implements `EPPPollHandler` for Domain Name Mapping.

Constructor Summary
`DomainPollHandler()`

Method Summary
`java.lang.String` | `getKind()` Gets the kind of poll messages it handles.
`EPPResponse` | `toResponse(EPPPollDataRecord aRecord)` Converts a poll queue `EPPPollDataRecord` to an `EPPResponse`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainPollHandler

    public DomainPollHandler()

Method Detail

### getKind

    public java.lang.String getKind()

  Gets the kind of poll messages it handles.

  Specified by:
    `getKind` in interface `EPPPollHandler`
  Returns:
    The domain name XML namespace represented by `@link EPPDomainMapFactory.NS`.

### toResponse

    public EPPResponse toResponse(EPPPollDataRecord aRecord)
                           throws EPPPollQueueException

  Converts a poll queue `EPPPollDataRecord` to an `EPPResponse`.

  Specified by:
    `toResponse` in interface `EPPPollHandler`
  Parameters:
    `aRecord` - Poll queue record to convert to an `EPPResponse`.
  Returns:
    An `EPPResponse` that represents the poll queue record.
  Throws:
    `EPPPollQueueException` - Error converting the `EPPPollDataRecord` to an `EPPResponse`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.